channel_param Struct Reference

Channel parameters. More...

`#include <channel_manager.h>`

## Data Fields

cachemodel_param_t * | cachemodel
| reference pointer to the cache model
char | cid [MAX_LENOFCID]
| channel identifier
cnew_transport_t | aux
| auxiliary transport
time_t | start_tm
| starting time
struct channel_param * | next
| pointer to the next channel

## Detailed Description

Channel parameters.

## Field Documentation

## aux

cnew_transport_t channel_param::aux

auxiliary transport

Referenced by gene_channel().

## cachemodel

cachemodel_param_t* channel_param::cachemodel

reference pointer to the cache model

Referenced by gene_channel(), gene_JPIPstream(), and print_allchannel().

## cid

char channel_param::cid[MAX_LENOFCID]

channel identifier

Referenced by delete_channellist(), gene_channel(), print_allchannel(), and search_channel().

## next

struct channel_param* channel_param::next

pointer to the next channel

Referenced by delete_channel(), delete_channellist(), gene_channel(), print_allchannel(), search_channel(), and search_session_and_channel().

## start_tm

time_t channel_param::start_tm

starting time

Referenced by gene_channel().

The documentation for this struct was generated from the following file:

- channel_manager.h